SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData Struct Reference

`#include <slikenet/DS_OrderedChannelHeap.h>`

## Public Member Functions

| HeapChannelAndData ()
| HeapChannelAndData (const channel_key_type &_channel, const heap_data_type &_data)

## Public Attributes

heap_data_type | data
channel_key_type | channel

## Detailed Description

### template<class channel_key_type, class heap_data_type, int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>
struct DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData

Definition at line 62 of file DS_OrderedChannelHeap.h.

## Constructor & Destructor Documentation

template<class channel_key_type , class heap_data_type , int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>

DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData::HeapChannelAndData | ( |  | ) |

inline

Definition at line 64 of file DS_OrderedChannelHeap.h.

template<class channel_key_type , class heap_data_type , int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>

DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData::HeapChannelAndData | ( | const channel_key_type & | _channel,
|  | const heap_data_type & | _data
| ) |  |

inline

Definition at line 65 of file DS_OrderedChannelHeap.h.

## Member Data Documentation

template<class channel_key_type , class heap_data_type , int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>

channel_key_type DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData::channel

Definition at line 67 of file DS_OrderedChannelHeap.h.

template<class channel_key_type , class heap_data_type , int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>

heap_data_type DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData::data

Definition at line 66 of file DS_OrderedChannelHeap.h.

Referenced by DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::Peek().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_OrderedChannelHeap.h